# Databricks

> see https://aka.ms/autorest

This is the AutoRest configuration file for Databricks.



---

### Java multi-api

``` yaml $(java) && $(multiapi)
batch:
  - tag: package-2018-04-01
```

### Tag: package-2018-04-01 and java

These settings apply only when `--tag=package-2018-04-01 --java` is specified on the command line.
Please also specify `--azure-libraries-for-java=<path to the root directory of your azure-sdk-for-java clone>`.

``` yaml $(tag) == 'package-2018-04-01' && $(java) && $(multiapi)
java:
  namespace: com.microsoft.azure.management.databricks.v2018_04_01
  output-folder: $(azure-libraries-for-java-folder)/databricks/resource-manager/v2018_04_01
regenerate-manager: true
generate-interface: true
```


## Getting Started
To build the SDK for Databricks, simply [Install AutoRest](https://aka.ms/autorest/install) and in this folder, run:

> `autorest`

To see additional help and options, run:

> `autorest --help`
---

## Configuration



### Basic Information
These are the global settings for the Databricks API.

``` yaml
openapi-type: arm
tag: package-2018-04-01
```


### Tag: package-2018-04-01

These settings apply only when `--tag=package-2018-04-01` is specified on the command line.

``` yaml $(tag) == 'package-2018-04-01'
input-file:
- Microsoft.Databricks/stable/2018-04-01/databricks.json
```

# Code Generation

## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

``` yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-sdk-for-go
  - repo: azure-sdk-for-js
  - repo: azure-sdk-for-node
```

## Go

See configuration in [readme.go.md](./readme.go.md)